#include <GUIConstants.au3>
#include "sysipcontrol.au3"

$hGUI = GUICreate("")
$handle = _GUICtrlCreateSysIP($hGUI, 5, 5)

$hGetBtn = GUICtrlCreateButton("Set current IP", 5, 50, 80, 24)
$hClrBtn = GUICtrlCreateButton("Clear", 90, 50, 80, 24)

$hFocusNum = GUICtrlCreateInput("1", 5, 100, 80, 20, $ES_READONLY)
GUICtrlCreateUpDown(-1)
GUICtrlSetLimit(-1, 4, 1)
$hFocusBtn = GUICtrlCreateButton("Set Focus", 90, 98, 80, 24)
$hRangeBtn = GUICtrlCreateButton("Set first field range to 1...127", 5, 145, 165, 24)
$hReadBtn  = GUICtrlCreateButton("Read Control", 5, 190, 80, 24)

GUISetState()

While 1
    Sleep(10)
    $nMsg = GUIGetMsg()
    Select
        Case $nMsg = $GUI_EVENT_CLOSE
            Exit
        Case $nMsg = $hClrBtn
            _GUICtrlSysIPClear($handle)
        Case $nMsg = $hGetBtn
            _GUICtrlSysIPSetData($handle, @IPAddress1)
        Case $nMsg = $hFocusBtn
            _GUICtrlSysIPSetFocus($handle, GUICtrlRead($hFocusNum))
        Case $nMsg = $hRangeBtn
            _GUICtrlSysIPSetRange($handle, 1, 1, 127)
        Case $nMsg = $hReadBtn
            MsgBox(0, "IP entered:", _GUICtrlSysIPGetData($handle))
    EndSelect
Wend


